<script lang="ts">
  import { Button, Dropdown, Toggle } from 'flowbite-svelte';
  import { faChevronDown } from '@fortawesome/free-solid-svg-icons';
  import Fa from 'svelte-fa';

  export let selectedItems: string[] = [];
  export let items: string[];
  export let label: string;

  function onItemSelect(item: string): void {
    if (selectedItems.includes(item)) selectedItems = selectedItems.filter((i) => i !== item);
    else selectedItems = [...selectedItems, item];
  }
</script>

<Button color="none" class="!text-left focus-within:ring-0">
  {label}
  {selectedItems.length > 0 ? `(${selectedItems.length})` : ''}
  <Fa icon={faChevronDown} class="w-3 h-3 ms-2" />
</Button>
<Dropdown class="w-44 p-3 space-y-3 text-sm">
  {#each items as item}
    <Toggle
      on:change={() => onItemSelect(item)}
      checked={selectedItems.includes(item)}
      size="small"
      class="capitalize cursor-pointer">
      {item}
    </Toggle>
  {/each}
</Dropdown>
